Skip to main content
GET
/
api
/
auth
/
entra-endpoint
Returns the public Entra ID configuration (tenant ID, app ID) needed by the front-end MSAL login flow.
curl --request GET \
  --url https://{tenant}.ekso.app/api/auth/entra-endpoint \
  --header 'Authorization: Bearer <token>'
{
  "entity": "<string>",
  "active": true,
  "tid": "<string>",
  "appId": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

The public Entra configuration.

entity
null | string
active
boolean
tid
string
appId
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean